Bug 1417340 - entry cache is not cleaned up if an operation is aborted
Summary: entry cache is not cleaned up if an operation is aborted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 7.7
Assignee: mreynolds
QA Contact: RHDS QE
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks: 1550132
TreeView+ depends on / blocked
 
Reported: 2017-01-28 02:14 UTC by Noriko Hosoi
Modified: 2020-09-13 21:55 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.3.9.1-2.el7
Doc Type: Bug Fix
Doc Text:
.Directory Server flushes the entry cache after a back end transaction plug-in failed Previously, if a back end transaction plug-in failed, Directory Server rolled-back the operation, but did not revert the changes in the entry cache. As a consequence, the entry cache contained incorrect entries. With this update, Directory Server flushes the entry cache after a back end transaction plug-in failed. As a result, clients retrieve the correct data when querying the database in the mentioned situation.
Clone Of:
Environment:
Last Closed: 2019-08-06 12:58:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 2149 None None None 2020-09-13 21:55:44 UTC
Red Hat Product Errata RHBA-2019:2152 None None None 2019-08-06 12:58:42 UTC

Description Noriko Hosoi 2017-01-28 02:14:54 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/49090

If a plugin modifies entries, eg the memberof plugin adds the memberof attribute to some entries and the primary operation is aborted the modified entries in teh entry cache are not reset.

Comment 3 Akshay Adhikari 2019-04-30 10:45:12 UTC
[root@rhel7-aadhikar1 tests]# py.test suites/betxns/betxn_test.py 
============================================================================ test session starts ============================================================================
platform linux -- Python 3.6.3, pytest-4.4.0, py-1.8.0, pluggy-0.9.0
389-ds-base: 1.3.9.1-5.el7
nss: 3.43.0-6.el7
nspr: 4.21.0-1.el7
openldap: 2.4.44-21.el7_6
cyrus-sasl: 2.1.26-23.el7
FIPS: disabled
rootdir: /root/389-ds-base/dirsrvtests/tests
plugins: metadata-1.8.0, html-1.20.0
collected 5 items                                                                                                                                                           

suites/betxns/betxn_test.py .....                                                                                                                                     [100%]

========================================================================= 5 passed in 44.92 seconds =========================================================================

Marking this as VERIFIED.

Comment 7 errata-xmlrpc 2019-08-06 12:58:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2152


Note You need to log in before you can comment on or make changes to this bug.